For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
  • Event API
      • GETGet a list of events for provided filters
      • POSTIngest an event
      • POSTMark an event as deleted
      • GETGet an event by ID
      • GETGet the event trace history of the event.
      • POSTMark an event as deleted
      • POSTIngest a list of meter events
      • POSTIngest persist events
      • POSTIngest charge events
      • POSTIngest adjustment events
      • GETGet a list of events for provided filters
      • POSTMark an event as deleted
      • POSTIngest an event
      • POSTIngest a list of meter events
      • POSTCalculate the costs for an event
      • GETGet an event by ID
      • GETGet the event trace history of the event.
      • POSTMark an event as deleted
LoginSandbox
Event APIIngest

Get a list of events for provided filters

GET
/v:version/ingest/meter-data
GET
/v:version/ingest/meter-data
$curl https://test.api.solvimon.com/v1/ingest/meter-data \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "type": "INGEST",
8 "customer_id": "string",
9 "customer_reference": "string",
10 "customer": {
11 "object_type": "string",
12 "id": "string",
13 "created_at": "string",
14 "parent_customer_id": "string",
15 "parent_customer_ids": [
16 "string"
17 ],
18 "reference": "string",
19 "status": "DRAFT",
20 "timezone": "string",
21 "type": "ORGANIZATION",
22 "email": "string",
23 "notification_preferences": [
24 {
25 "type": "INVOICE",
26 "channels": [
27 {
28 "type": "EMAIL",
29 "enabled": true
30 }
31 ]
32 }
33 ],
34 "locale": "string",
35 "individual": {
36 "name": {
37 "first_name": "string",
38 "last_name": "string",
39 "infix": "string"
40 },
41 "residential_address": {
42 "line1": "string",
43 "line2": "string",
44 "city": "string",
45 "postal_code": "string",
46 "state": "string",
47 "country": "AD"
48 }
49 },
50 "organization": {
51 "legal_name": "string",
52 "tax_id": "string",
53 "tax_ids": [
54 {
55 "id": "string",
56 "type": "GENERIC_TAX_ID",
57 "display_name": "string",
58 "tax_id_validation_result": {
59 "id": "string",
60 "validation_date": "string",
61 "source": "string",
62 "valid": "VALID",
63 "message": "string"
64 }
65 }
66 ],
67 "registration_number": "string",
68 "tax_exempt": true,
69 "tax_exempt_note": "string",
70 "registered_address": {
71 "line1": "string",
72 "line2": "string",
73 "city": "string",
74 "postal_code": "string",
75 "state": "string",
76 "country": "AD"
77 },
78 "tax_registrations": [
79 {
80 "id": "string",
81 "description": "string",
82 "tax_id": "string",
83 "tax_ids": [
84 {
85 "id": "string",
86 "type": "GENERIC_TAX_ID",
87 "display_name": "string",
88 "tax_id_validation_result": {
89 "id": "string",
90 "validation_date": "string",
91 "source": "string",
92 "valid": "VALID",
93 "message": "string"
94 }
95 }
96 ],
97 "registration_number": "string",
98 "registered_address": {
99 "line1": "string",
100 "line2": "string",
101 "city": "string",
102 "postal_code": "string",
103 "state": "string",
104 "country": "AD"
105 }
106 }
107 ]
108 },
109 "custom_fields": [
110 {
111 "id": "string",
112 "reference": "string",
113 "value": "string",
114 "values": [
115 "string"
116 ],
117 "integration_details": {
118 "id": "string",
119 "reference": "string",
120 "payment_gateway_variant": "ADYEN",
121 "adyen": {
122 "recurring_detail_reference": "string"
123 },
124 "stripe": {
125 "payment_method_id": "string"
126 }
127 }
128 }
129 ],
130 "processing_only": true,
131 "pricing_plan_subscription_selector": {
132 "data": [
133 {
134 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
135 "value": "string"
136 }
137 ],
138 "rules": [
139 {
140 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
141 "type": "EQUALS"
142 }
143 ],
144 "filters": [
145 {
146 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
147 "type": "EQUALS",
148 "value": "string"
149 }
150 ],
151 "fallback": "LATEST"
152 },
153 "linked_integrations": [
154 {
155 "id": "string",
156 "link_details": [
157 {
158 "url": "string",
159 "custom_field_name": "string"
160 }
161 ]
162 }
163 ],
164 "roles": [
165 "DEFAULT"
166 ],
167 "seller_details": {
168 "default_billing_entity_id": "string"
169 }
170 },
171 "meter_id": "string",
172 "meter_reference": "string",
173 "pricing_plan_subscription_id": "string",
174 "pricing_plan_subscription_reference": "string",
175 "pricing_plan_subscription_selector": {
176 "data": [
177 {
178 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
179 "value": "string"
180 }
181 ],
182 "rules": [
183 {
184 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
185 "type": "EQUALS"
186 }
187 ],
188 "filters": [
189 {
190 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
191 "type": "EQUALS",
192 "value": "string"
193 }
194 ],
195 "fallback": "LATEST"
196 },
197 "timestamp": "2024-01-15T09:30:00Z",
198 "created_at": "string",
199 "meter_properties": [
200 {
201 "id": "string",
202 "reference": "string",
203 "value": "string"
204 }
205 ],
206 "meter_values": [
207 {
208 "id": "string",
209 "reference": "string",
210 "number": "string",
211 "amount": {
212 "quantity": "string",
213 "currency": "AED"
214 },
215 "count": "string"
216 }
217 ],
218 "cost_prediction": {
219 "response": "OK",
220 "details": [
221 {
222 "customer_id": "string",
223 "amount_excluding_tax": {
224 "quantity": "string",
225 "currency": "AED"
226 },
227 "amount_including_tax": {
228 "quantity": "string",
229 "currency": "AED"
230 },
231 "tax_summary": {
232 "base_amount": {
233 "quantity": "string",
234 "currency": "AED"
235 },
236 "tax_amount": {
237 "quantity": "string",
238 "currency": "AED"
239 },
240 "total_amount": {
241 "quantity": "string",
242 "currency": "AED"
243 },
244 "local_amounts": {
245 "base_amount": {
246 "quantity": "string",
247 "currency": "AED"
248 },
249 "tax_amount": {
250 "quantity": "string",
251 "currency": "AED"
252 },
253 "total_amount": {
254 "quantity": "string",
255 "currency": "AED"
256 },
257 "used_exchange_rate": {
258 "currency": "string",
259 "base_currency": "string",
260 "rate_timestamp": "string",
261 "rate": "string",
262 "source": "string"
263 },
264 "display": true
265 },
266 "notes": [
267 "string"
268 ],
269 "country_code": "string"
270 },
271 "periods": [
272 {
273 "period_order": 1,
274 "amount_excluding_tax": {
275 "quantity": "string",
276 "currency": "AED"
277 },
278 "amount_including_tax": {
279 "quantity": "string",
280 "currency": "AED"
281 },
282 "billing_period": {
283 "type": "DAY",
284 "value": 1
285 },
286 "start_at": "string",
287 "end_at": "string",
288 "tax_categories": [
289 {
290 "base_amount": {
291 "quantity": "string",
292 "currency": "AED"
293 },
294 "tax_amount": {
295 "quantity": "string",
296 "currency": "AED"
297 },
298 "total_amount": {
299 "quantity": "string",
300 "currency": "AED"
301 },
302 "category": "string",
303 "local_amounts": {
304 "base_amount": {
305 "quantity": "string",
306 "currency": "AED"
307 },
308 "tax_amount": {
309 "quantity": "string",
310 "currency": "AED"
311 },
312 "total_amount": {
313 "quantity": "string",
314 "currency": "AED"
315 },
316 "used_exchange_rate": {
317 "currency": "string",
318 "base_currency": "string",
319 "rate_timestamp": "string",
320 "rate": "string",
321 "source": "string"
322 },
323 "display": true
324 },
325 "notes": [
326 "string"
327 ],
328 "rates": [
329 {
330 "name": "string",
331 "percentage": "string",
332 "tax_amount": {
333 "quantity": "string",
334 "currency": "AED"
335 }
336 }
337 ],
338 "percentage": "string",
339 "name": "string"
340 }
341 ],
342 "groups": [
343 {
344 "group_order": 1,
345 "amount_excluding_tax": {
346 "quantity": "string",
347 "currency": "AED"
348 },
349 "amount_including_tax": {
350 "quantity": "string",
351 "currency": "AED"
352 },
353 "billing_period": {
354 "type": "DAY",
355 "value": 1
356 },
357 "start_at": "string",
358 "end_at": "string",
359 "type": "string",
360 "product_category": {
361 "object_type": "string",
362 "id": "string",
363 "name": "string",
364 "reference": "string",
365 "description": "string",
366 "tax_category": "STANDARD",
367 "display_order": 1,
368 "customer_id": "string"
369 },
370 "products": [
371 {
372 "object_type": "string",
373 "id": "string",
374 "category_id": "string",
375 "category": {
376 "object_type": "string",
377 "id": "string",
378 "name": "string",
379 "reference": "string",
380 "description": "string",
381 "tax_category": "STANDARD",
382 "display_order": 1,
383 "customer_id": "string"
384 },
385 "parent_product_id": "string",
386 "name": "string",
387 "reference": "string",
388 "description": "string",
389 "status": "DRAFT",
390 "product_type": "DEFAULT",
391 "tax_category": "STANDARD",
392 "features": [
393 {
394 "id": "string",
395 "reference": "string"
396 }
397 ],
398 "custom_fields": [
399 {
400 "id": "string",
401 "reference": "string",
402 "value": "string",
403 "values": [
404 "string"
405 ],
406 "integration_details": {
407 "id": "string",
408 "reference": "string",
409 "payment_gateway_variant": "ADYEN",
410 "adyen": {
411 "recurring_detail_reference": "string"
412 },
413 "stripe": {
414 "payment_method_id": "string"
415 }
416 }
417 }
418 ],
419 "display_order": 1,
420 "linked_integrations": [
421 {
422 "id": "string",
423 "link_details": [
424 {
425 "url": "string",
426 "custom_field_name": "string"
427 }
428 ]
429 }
430 ],
431 "billing_entity_id": "string",
432 "customer_id": "string"
433 }
434 ],
435 "pricing": {
436 "id": "string",
437 "name": "string"
438 },
439 "description": "string",
440 "pricing_plan_subscription_id": "string",
441 "pricing_plan_schedule_id": "string",
442 "forwarded_from_customer_id": "string",
443 "tax_categories": [
444 {
445 "base_amount": {
446 "quantity": "string",
447 "currency": "AED"
448 },
449 "tax_amount": {
450 "quantity": "string",
451 "currency": "AED"
452 },
453 "total_amount": {
454 "quantity": "string",
455 "currency": "AED"
456 },
457 "category": "string",
458 "local_amounts": {
459 "base_amount": {
460 "quantity": "string",
461 "currency": "AED"
462 },
463 "tax_amount": {
464 "quantity": "string",
465 "currency": "AED"
466 },
467 "total_amount": {
468 "quantity": "string",
469 "currency": "AED"
470 },
471 "used_exchange_rate": {
472 "currency": "string",
473 "base_currency": "string",
474 "rate_timestamp": "string",
475 "rate": "string",
476 "source": "string"
477 },
478 "display": true
479 },
480 "notes": [
481 "string"
482 ],
483 "rates": [
484 {
485 "name": "string",
486 "percentage": "string",
487 "tax_amount": {
488 "quantity": "string",
489 "currency": "AED"
490 }
491 }
492 ],
493 "percentage": "string",
494 "name": "string"
495 }
496 ],
497 "lines": [
498 {
499 "id": "string",
500 "line_order": 1,
501 "description": "string",
502 "pricing_item_id": "string",
503 "pricing_item_config_id": "string",
504 "product_items": [
505 {
506 "object_type": "string",
507 "id": "string",
508 "product_id": "string",
509 "product": {
510 "object_type": "string",
511 "id": "string",
512 "category_id": "string",
513 "category": {
514 "object_type": "string",
515 "id": "string",
516 "name": "string",
517 "reference": "string",
518 "description": "string",
519 "tax_category": "STANDARD",
520 "display_order": 1,
521 "customer_id": "string"
522 },
523 "parent_product_id": "string",
524 "name": "string",
525 "reference": "string",
526 "description": "string",
527 "status": "DRAFT",
528 "product_type": "DEFAULT",
529 "tax_category": "STANDARD",
530 "features": [
531 {
532 "id": "string",
533 "reference": "string"
534 }
535 ],
536 "custom_fields": [
537 {
538 "id": "string",
539 "reference": "string",
540 "value": "string",
541 "values": [
542 "string"
543 ],
544 "integration_details": {
545 "id": "string",
546 "reference": "string",
547 "payment_gateway_variant": "ADYEN",
548 "adyen": {
549 "recurring_detail_reference": "string"
550 },
551 "stripe": {
552 "payment_method_id": "string"
553 }
554 }
555 }
556 ],
557 "display_order": 1,
558 "linked_integrations": [
559 {
560 "id": "string",
561 "link_details": [
562 {
563 "url": "string",
564 "custom_field_name": "string"
565 }
566 ]
567 }
568 ],
569 "billing_entity_id": "string",
570 "customer_id": "string"
571 },
572 "name": "string",
573 "status": "DRAFT",
574 "reference": "string",
575 "description": "string",
576 "type": "REVENUE",
577 "model_type": "USAGE_BASED",
578 "usage_based": {
579 "meter_value_calculation_id": "string",
580 "meter_value_calculation": {
581 "object_type": "string",
582 "id": "string",
583 "reference": "string",
584 "name": "string",
585 "description": "string",
586 "calculation_type": "SUM",
587 "persist": true,
588 "meter_id": "string",
589 "meter": {
590 "object_type": "string",
591 "id": "string",
592 "reference": "string",
593 "name": "string",
594 "description": "string",
595 "status": "DRAFT",
596 "meter_values": [
597 {
598 "id": "string",
599 "object": {
600 "object_type": {},
601 "id": {},
602 "reference": {},
603 "name": {},
604 "description": {},
605 "status": {},
606 "type": {}
607 },
608 "required": true
609 }
610 ],
611 "meter_properties": [
612 {
613 "id": "string",
614 "object": {
615 "object_type": {},
616 "id": {},
617 "reference": {},
618 "name": {},
619 "description": {},
620 "status": {},
621 "type": {},
622 "enum_values": {}
623 },
624 "required": true
625 }
626 ]
627 },
628 "meter_value_id": "string",
629 "meter_value": {
630 "object_type": "string",
631 "id": "string",
632 "reference": "string",
633 "name": "string",
634 "description": "string",
635 "status": "DRAFT",
636 "type": "NUMBER"
637 },
638 "meter_property_id": "string",
639 "meter_property": {
640 "object_type": "string",
641 "id": "string",
642 "reference": "string",
643 "name": "string",
644 "description": "string",
645 "status": "DRAFT",
646 "type": "NUMBER",
647 "enum_values": [
648 "string"
649 ]
650 }
651 },
652 "tiering_meter_value_calculation_id": "string",
653 "tiering_meter_value_calculation": {
654 "object_type": "string",
655 "id": "string",
656 "reference": "string",
657 "name": "string",
658 "description": "string",
659 "calculation_type": "SUM",
660 "persist": true,
661 "meter_id": "string",
662 "meter": {
663 "object_type": "string",
664 "id": "string",
665 "reference": "string",
666 "name": "string",
667 "description": "string",
668 "status": "DRAFT",
669 "meter_values": [
670 {
671 "id": "string",
672 "object": {
673 "object_type": {},
674 "id": {},
675 "reference": {},
676 "name": {},
677 "description": {},
678 "status": {},
679 "type": {}
680 },
681 "required": true
682 }
683 ],
684 "meter_properties": [
685 {
686 "id": "string",
687 "object": {
688 "object_type": {},
689 "id": {},
690 "reference": {},
691 "name": {},
692 "description": {},
693 "status": {},
694 "type": {},
695 "enum_values": {}
696 },
697 "required": true
698 }
699 ]
700 },
701 "meter_value_id": "string",
702 "meter_value": {
703 "object_type": "string",
704 "id": "string",
705 "reference": "string",
706 "name": "string",
707 "description": "string",
708 "status": "DRAFT",
709 "type": "NUMBER"
710 },
711 "meter_property_id": "string",
712 "meter_property": {
713 "object_type": "string",
714 "id": "string",
715 "reference": "string",
716 "name": "string",
717 "description": "string",
718 "status": "DRAFT",
719 "type": "NUMBER",
720 "enum_values": [
721 "string"
722 ]
723 }
724 },
725 "report_meter_value_calculation_ids": [
726 "string"
727 ],
728 "conditions": {
729 "name": "string",
730 "expression": {
731 "operator": "AND",
732 "operands": [
733 {
734 "meter_property": {
735 "id": {},
736 "reference": {},
737 "meter_property": {},
738 "value": {},
739 "values": {},
740 "comparator": {}
741 },
742 "expression": {}
743 }
744 ]
745 },
746 "meter_properties": [
747 {
748 "id": "string",
749 "reference": "string",
750 "meter_property": {
751 "object_type": "string",
752 "id": "string",
753 "reference": "string",
754 "name": "string",
755 "description": "string",
756 "status": "DRAFT",
757 "type": "NUMBER",
758 "enum_values": [
759 "string"
760 ]
761 },
762 "value": "string",
763 "values": [
764 "string"
765 ],
766 "comparator": "EQUALS"
767 }
768 ]
769 }
770 },
771 "credits": {
772 "credit_type_id": "string",
773 "credit_type": {
774 "object_type": "string",
775 "id": "string",
776 "reference": "string",
777 "status": "DRAFT",
778 "name": "string",
779 "description": "string",
780 "unit_name": {
781 "singular": "string",
782 "plural": "string"
783 },
784 "created_at": "string",
785 "updated_at": "string"
786 }
787 },
788 "meter_value_calculation": {
789 "object_type": "string",
790 "id": "string",
791 "reference": "string",
792 "name": "string",
793 "description": "string",
794 "calculation_type": "SUM",
795 "persist": true,
796 "meter_id": "string",
797 "meter": {
798 "object_type": "string",
799 "id": "string",
800 "reference": "string",
801 "name": "string",
802 "description": "string",
803 "status": "DRAFT",
804 "meter_values": [
805 {
806 "id": "string",
807 "object": {
808 "object_type": "string",
809 "id": "string",
810 "reference": "string",
811 "name": "string",
812 "description": "string",
813 "status": "DRAFT",
814 "type": "NUMBER"
815 },
816 "required": true
817 }
818 ],
819 "meter_properties": [
820 {
821 "id": "string",
822 "object": {
823 "object_type": "string",
824 "id": "string",
825 "reference": "string",
826 "name": "string",
827 "description": "string",
828 "status": "DRAFT",
829 "type": "NUMBER",
830 "enum_values": [
831 "string"
832 ]
833 },
834 "required": true
835 }
836 ]
837 },
838 "meter_value_id": "string",
839 "meter_value": {
840 "object_type": "string",
841 "id": "string",
842 "reference": "string",
843 "name": "string",
844 "description": "string",
845 "status": "DRAFT",
846 "type": "NUMBER"
847 },
848 "meter_property_id": "string",
849 "meter_property": {
850 "object_type": "string",
851 "id": "string",
852 "reference": "string",
853 "name": "string",
854 "description": "string",
855 "status": "DRAFT",
856 "type": "NUMBER",
857 "enum_values": [
858 "string"
859 ]
860 }
861 },
862 "tax_category": "STANDARD",
863 "display_order": 1,
864 "unit_name": {
865 "singular": "string",
866 "plural": "string"
867 },
868 "custom_fields": [
869 {
870 "id": "string",
871 "reference": "string",
872 "value": "string",
873 "values": [
874 "string"
875 ],
876 "integration_details": {
877 "id": "string",
878 "reference": "string",
879 "payment_gateway_variant": "ADYEN",
880 "adyen": {
881 "recurring_detail_reference": "string"
882 },
883 "stripe": {
884 "payment_method_id": "string"
885 }
886 }
887 }
888 ],
889 "customer_id": "string",
890 "meter_value_calculation_id": "string",
891 "report_meter_value_calculation_ids": [
892 "string"
893 ]
894 }
895 ],
896 "type": "string",
897 "pricing_type": "string",
898 "commitment_type": "string",
899 "discount_type": "string",
900 "coupon_data": {
901 "coupon_id": "string",
902 "promotion_code_id": "string"
903 },
904 "tax_categories": [
905 {
906 "base_amount": {
907 "quantity": "string",
908 "currency": "AED"
909 },
910 "tax_amount": {
911 "quantity": "string",
912 "currency": "AED"
913 },
914 "total_amount": {
915 "quantity": "string",
916 "currency": "AED"
917 },
918 "category": "string",
919 "local_amounts": {
920 "base_amount": {
921 "quantity": "string",
922 "currency": "AED"
923 },
924 "tax_amount": {
925 "quantity": "string",
926 "currency": "AED"
927 },
928 "total_amount": {
929 "quantity": "string",
930 "currency": "AED"
931 },
932 "used_exchange_rate": {
933 "currency": "string",
934 "base_currency": "string",
935 "rate_timestamp": "string",
936 "rate": "string",
937 "source": "string"
938 },
939 "display": true
940 },
941 "notes": [
942 "string"
943 ],
944 "rates": [
945 {
946 "name": "string",
947 "percentage": "string",
948 "tax_amount": {
949 "quantity": "string",
950 "currency": "AED"
951 }
952 }
953 ],
954 "percentage": "string",
955 "name": "string"
956 }
957 ],
958 "amount_excluding_tax": {
959 "quantity": "string",
960 "currency": "AED"
961 },
962 "amount_including_tax": {
963 "quantity": "string",
964 "currency": "AED"
965 },
966 "conditions": {
967 "name": "string",
968 "expression": {
969 "operator": "AND",
970 "operands": [
971 {
972 "meter_property": {
973 "id": "string",
974 "reference": "string",
975 "meter_property": {
976 "object_type": "string",
977 "id": "string",
978 "reference": "string",
979 "name": "string",
980 "description": "string",
981 "status": "DRAFT",
982 "type": "NUMBER",
983 "enum_values": [
984 "string"
985 ]
986 },
987 "value": "string",
988 "values": [
989 "string"
990 ],
991 "comparator": "EQUALS"
992 },
993 "expression": {}
994 }
995 ]
996 },
997 "meter_properties": [
998 {
999 "id": "string",
1000 "reference": "string",
1001 "meter_property": {
1002 "object_type": "string",
1003 "id": "string",
1004 "reference": "string",
1005 "name": "string",
1006 "description": "string",
1007 "status": "DRAFT",
1008 "type": "NUMBER",
1009 "enum_values": [
1010 "string"
1011 ]
1012 },
1013 "value": "string",
1014 "values": [
1015 "string"
1016 ],
1017 "comparator": "EQUALS"
1018 }
1019 ]
1020 },
1021 "meter_value": {
1022 "reference": "string",
1023 "type": "string",
1024 "number": "string",
1025 "amount": {
1026 "quantity": "string",
1027 "currency": "AED"
1028 }
1029 },
1030 "details": {
1031 "amount": {
1032 "quantity": "string",
1033 "currency": "AED"
1034 },
1035 "pricing_currency": "string",
1036 "pricing_amount": {
1037 "quantity": "string",
1038 "currency": "AED"
1039 },
1040 "conversion": {
1041 "credits": {
1042 "quantity": "string",
1043 "credit_type_id": "string"
1044 },
1045 "convert_from_meter_value_id": "string"
1046 },
1047 "band": {
1048 "amount": {
1049 "quantity": "string",
1050 "currency": "AED"
1051 },
1052 "percentage": "string",
1053 "credits": {
1054 "quantity": "string",
1055 "credit_type_id": "string"
1056 },
1057 "maximum_amount": {
1058 "quantity": "string",
1059 "currency": "AED"
1060 },
1061 "minimum_amount": {
1062 "quantity": "string",
1063 "currency": "AED"
1064 },
1065 "maximum_number": "string",
1066 "minimum_number": "string",
1067 "block_size": {
1068 "number": "string",
1069 "amount": {
1070 "quantity": "string",
1071 "currency": "AED"
1072 },
1073 "count": "string"
1074 },
1075 "tier_lower_bound": {
1076 "number": "string",
1077 "amount": {
1078 "quantity": "string",
1079 "currency": "AED"
1080 },
1081 "count": "string"
1082 },
1083 "tier_top_bound": {
1084 "number": "string",
1085 "amount": {
1086 "quantity": "string",
1087 "currency": "AED"
1088 },
1089 "count": "string"
1090 },
1091 "volume_share": "string",
1092 "included_volume": {
1093 "number": "string",
1094 "amount": {
1095 "quantity": "string",
1096 "currency": "AED"
1097 },
1098 "count": "string"
1099 }
1100 },
1101 "meter_value": {
1102 "id": "string",
1103 "reference": "string",
1104 "number": "string",
1105 "amount": {
1106 "quantity": "string",
1107 "currency": "AED"
1108 },
1109 "count": "string",
1110 "ratio": "string",
1111 "type": "NUMBER"
1112 },
1113 "tiering_meter_value": {
1114 "id": "string",
1115 "reference": "string",
1116 "number": "string",
1117 "amount": {
1118 "quantity": "string",
1119 "currency": "AED"
1120 },
1121 "count": "string",
1122 "ratio": "string",
1123 "type": "NUMBER"
1124 },
1125 "price_bound": "string",
1126 "meter_values": [
1127 {
1128 "number": "string",
1129 "amount": {
1130 "quantity": "string",
1131 "currency": "AED"
1132 },
1133 "amount_in_pricing_currency": {
1134 "quantity": "string",
1135 "currency": "AED"
1136 },
1137 "count": 1,
1138 "ratio": "string"
1139 }
1140 ],
1141 "report_meter_values": [
1142 {
1143 "meter_value_calculation_id": "string",
1144 "number": "string",
1145 "amount": {
1146 "quantity": "string",
1147 "currency": "AED"
1148 },
1149 "amount_in_pricing_currency": {
1150 "quantity": "string",
1151 "currency": "AED"
1152 },
1153 "count": "string",
1154 "ratio": "string"
1155 }
1156 ],
1157 "description": "string",
1158 "used_exchange_rates": [
1159 {
1160 "currency": "string",
1161 "base_currency": "string",
1162 "rate_timestamp": "string",
1163 "rate": "string",
1164 "source": "string"
1165 }
1166 ],
1167 "included_volume_details": {
1168 "included_volume": {
1169 "id": "string",
1170 "reference": "string",
1171 "number": "string",
1172 "amount": {
1173 "quantity": "string",
1174 "currency": "AED"
1175 },
1176 "count": "string",
1177 "ratio": "string",
1178 "type": "NUMBER"
1179 },
1180 "available_included_volume": {
1181 "id": "string",
1182 "reference": "string",
1183 "number": "string",
1184 "amount": {
1185 "quantity": "string",
1186 "currency": "AED"
1187 },
1188 "count": "string",
1189 "ratio": "string",
1190 "type": "NUMBER"
1191 },
1192 "period_volume": {
1193 "id": "string",
1194 "reference": "string",
1195 "number": "string",
1196 "amount": {
1197 "quantity": "string",
1198 "currency": "AED"
1199 },
1200 "count": "string",
1201 "ratio": "string",
1202 "type": "NUMBER"
1203 }
1204 },
1205 "wallet_balance_details": {
1206 "used_wallet_credits": {
1207 "quantity": "string",
1208 "credit_type_id": "string"
1209 },
1210 "left_wallet_credits": {
1211 "quantity": "string",
1212 "credit_type_id": "string"
1213 },
1214 "available_wallet_credits": {
1215 "quantity": "string",
1216 "credit_type_id": "string"
1217 }
1218 },
1219 "split_pricing": {
1220 "meter_properties": [
1221 {
1222 "id": "string",
1223 "reference": "string",
1224 "value": "string",
1225 "meter_property": {
1226 "object_type": "string",
1227 "id": "string",
1228 "reference": "string",
1229 "name": "string",
1230 "description": "string",
1231 "status": "DRAFT",
1232 "type": "NUMBER",
1233 "enum_values": [
1234 "string"
1235 ]
1236 }
1237 }
1238 ]
1239 },
1240 "meter_value_share_of_total": "string",
1241 "meter_value_share_of_processing_only_customer_total": "string"
1242 },
1243 "sub_lines": [
1244 {
1245 "sub_line_order": 1,
1246 "details": {
1247 "amount": {
1248 "quantity": "string",
1249 "currency": "AED"
1250 },
1251 "pricing_currency": "string",
1252 "pricing_amount": {
1253 "quantity": "string",
1254 "currency": "AED"
1255 },
1256 "conversion": {
1257 "credits": {
1258 "quantity": "string",
1259 "credit_type_id": "string"
1260 },
1261 "convert_from_meter_value_id": "string"
1262 },
1263 "band": {
1264 "amount": {
1265 "quantity": "string",
1266 "currency": "AED"
1267 },
1268 "percentage": "string",
1269 "credits": {
1270 "quantity": "string",
1271 "credit_type_id": "string"
1272 },
1273 "maximum_amount": {
1274 "quantity": "string",
1275 "currency": "AED"
1276 },
1277 "minimum_amount": {
1278 "quantity": "string",
1279 "currency": "AED"
1280 },
1281 "maximum_number": "string",
1282 "minimum_number": "string",
1283 "block_size": {
1284 "number": "string",
1285 "amount": {
1286 "quantity": "string",
1287 "currency": "AED"
1288 },
1289 "count": "string"
1290 },
1291 "tier_lower_bound": {
1292 "number": "string",
1293 "amount": {
1294 "quantity": "string",
1295 "currency": "AED"
1296 },
1297 "count": "string"
1298 },
1299 "tier_top_bound": {
1300 "number": "string",
1301 "amount": {
1302 "quantity": "string",
1303 "currency": "AED"
1304 },
1305 "count": "string"
1306 },
1307 "volume_share": "string",
1308 "included_volume": {
1309 "number": "string",
1310 "amount": {
1311 "quantity": "string",
1312 "currency": "AED"
1313 },
1314 "count": "string"
1315 }
1316 },
1317 "meter_value": {
1318 "id": "string",
1319 "reference": "string",
1320 "number": "string",
1321 "amount": {
1322 "quantity": "string",
1323 "currency": "AED"
1324 },
1325 "count": "string",
1326 "ratio": "string",
1327 "type": "NUMBER"
1328 },
1329 "tiering_meter_value": {
1330 "id": "string",
1331 "reference": "string",
1332 "number": "string",
1333 "amount": {
1334 "quantity": "string",
1335 "currency": "AED"
1336 },
1337 "count": "string",
1338 "ratio": "string",
1339 "type": "NUMBER"
1340 },
1341 "price_bound": "string",
1342 "meter_values": [
1343 {
1344 "number": "string",
1345 "amount": {
1346 "quantity": "string",
1347 "currency": "AED"
1348 },
1349 "amount_in_pricing_currency": {
1350 "quantity": "string",
1351 "currency": "AED"
1352 },
1353 "count": 1,
1354 "ratio": "string"
1355 }
1356 ],
1357 "report_meter_values": [
1358 {
1359 "meter_value_calculation_id": "string",
1360 "number": "string",
1361 "amount": {
1362 "quantity": "string",
1363 "currency": "AED"
1364 },
1365 "amount_in_pricing_currency": {
1366 "quantity": "string",
1367 "currency": "AED"
1368 },
1369 "count": "string",
1370 "ratio": "string"
1371 }
1372 ],
1373 "description": "string",
1374 "used_exchange_rates": [
1375 {
1376 "currency": "string",
1377 "base_currency": "string",
1378 "rate_timestamp": "string",
1379 "rate": "string",
1380 "source": "string"
1381 }
1382 ],
1383 "included_volume_details": {
1384 "included_volume": {
1385 "id": "string",
1386 "reference": "string",
1387 "number": "string",
1388 "amount": {
1389 "quantity": "string",
1390 "currency": "AED"
1391 },
1392 "count": "string",
1393 "ratio": "string",
1394 "type": "NUMBER"
1395 },
1396 "available_included_volume": {
1397 "id": "string",
1398 "reference": "string",
1399 "number": "string",
1400 "amount": {
1401 "quantity": "string",
1402 "currency": "AED"
1403 },
1404 "count": "string",
1405 "ratio": "string",
1406 "type": "NUMBER"
1407 },
1408 "period_volume": {
1409 "id": "string",
1410 "reference": "string",
1411 "number": "string",
1412 "amount": {
1413 "quantity": "string",
1414 "currency": "AED"
1415 },
1416 "count": "string",
1417 "ratio": "string",
1418 "type": "NUMBER"
1419 }
1420 },
1421 "wallet_balance_details": {
1422 "used_wallet_credits": {
1423 "quantity": "string",
1424 "credit_type_id": "string"
1425 },
1426 "left_wallet_credits": {
1427 "quantity": "string",
1428 "credit_type_id": "string"
1429 },
1430 "available_wallet_credits": {
1431 "quantity": "string",
1432 "credit_type_id": "string"
1433 }
1434 },
1435 "split_pricing": {
1436 "meter_properties": [
1437 {
1438 "id": "string",
1439 "reference": "string",
1440 "value": "string",
1441 "meter_property": {
1442 "object_type": "string",
1443 "id": "string",
1444 "reference": "string",
1445 "name": "string",
1446 "description": "string",
1447 "status": "DRAFT",
1448 "type": "NUMBER",
1449 "enum_values": [
1450 "string"
1451 ]
1452 }
1453 }
1454 ]
1455 },
1456 "meter_value_share_of_total": "string",
1457 "meter_value_share_of_processing_only_customer_total": "string"
1458 },
1459 "description": "string",
1460 "processing_only_customer_id": "string",
1461 "type": "USAGE_BASED_CONVERSION",
1462 "usage_based_conversion": {
1463 "conditions": {
1464 "name": "string",
1465 "expression": {
1466 "operator": "AND",
1467 "operands": [
1468 {
1469 "meter_property": {
1470 "id": {},
1471 "reference": {},
1472 "meter_property": {},
1473 "value": {},
1474 "values": {},
1475 "comparator": {}
1476 },
1477 "expression": {}
1478 }
1479 ]
1480 },
1481 "meter_properties": [
1482 {
1483 "id": "string",
1484 "reference": "string",
1485 "meter_property": {
1486 "object_type": "string",
1487 "id": "string",
1488 "reference": "string",
1489 "name": "string",
1490 "description": "string",
1491 "status": "DRAFT",
1492 "type": "NUMBER",
1493 "enum_values": [
1494 "string"
1495 ]
1496 },
1497 "value": "string",
1498 "values": [
1499 "string"
1500 ],
1501 "comparator": "EQUALS"
1502 }
1503 ]
1504 }
1505 },
1506 "processing_only_customer_resource_id": "string"
1507 }
1508 ]
1509 }
1510 ],
1511 "billing_customer_id": "string"
1512 }
1513 ]
1514 }
1515 ]
1516 }
1517 ],
1518 "used_change_rates": [
1519 {
1520 "currency": "string",
1521 "base_currency": "string",
1522 "rate_timestamp": "string",
1523 "rate": "string",
1524 "source": "string"
1525 }
1526 ]
1527 },
1528 "processed_details": {
1529 "type": "DEFAULT",
1530 "duplicate": {
1531 "of_meter_data_id": "string"
1532 },
1533 "not_matched": {
1534 "variant": "string"
1535 },
1536 "duplicate_of_meter_data_id": "string"
1537 },
1538 "deleted": true
1539 }
1540 ],
1541 "links": {
1542 "first": "string",
1543 "previous": "string",
1544 "current": "string",
1545 "next": "string"
1546 },
1547 "page": 1,
1548 "limit": 1,
1549 "total_number_of_pages": 1
1550}

Requires the METER_DATA.VIEW permission.

Was this page helpful?
Previous

Ingest an event

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
The resource id of the customer.
referencestringOptional
The reference of the ingest.
meter_idstringOptional
The resource id of the meter.
deletedbooleanOptional
Filter the response by deleted field value.
processed_details_typestringOptional

Filter the response by processing_details.type value. Ex.: NOT_MATCHED, DUPLICATE

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown

Response

OK
datalist of objects
linksobject
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error